BSDCONFIG(8)

NAME
bsdconfig - system configuration utility

SYNOPSIS
bsdconfig [-h]
bsdconfig command [-h]
bsdconfig [OPTIONS] [command [OPTIONS]]

DESCRIPTION
bsdconfig is used to set up many system configuration settings, both for new systems, as well as changing configuration settings of existing systems.

bsdconfig optionally takes a command as an argument. If invoked with no arguments, it will bring up an interactive menu listing the available modules.

The following options are available:

-d  Provide lots of debugging info on standard-out when running.

-D file
    Send debugging info to file. If file begins with a plus-sign debug info is sent to both standard-out and file (minus the leading plus).

-f file
    Load file as script and then exit. If multiple occurrences, program will only exit after last occurrence. If file is a single dash (‘-’), bsdconfig reads from standard input.

-h  Print usage statement and exit.

-S  Secure X11 mode (implies -X). As root, always prompt-for and validate sudo(8) username/password before starting.

-X  Use Xdialog(1) in place of dialog(1).

COMMANDS
The following commands (sorted alphabetically) are currently included in the base bsdconfig program, with more to be added soon. Other commands can be added, as detailed below in the ADDING COMMANDS section, and once added, will appear in the master menu as well as in the -h listing.

console
    Utilities to customize the behavior of the system console.

defaultrouter
    Shortcut to the Default Router/Gateway menu under networking.

diskmgmt
    Manage disk partitions and/or labels. Executes sade(8).

docsinstall
    Executes the bsdinstall docsinstall sub-utility to allow installation/re-installation of the FreeBSD Documentation set(s).

dot Generate a graphviz dot(1) language file (printed on stdout) visualizing the bsdconfig menu, include, and shortcut structure relationships. See “bsdconfig dot -h” for more details.

groupadd
    Shortcut to the Add Groups menu under groupmgmt.

groupdel
    Shortcut to the Delete Groups menu under groupmgmt.

groupedit
    Shortcut to the Edit/View Groups menu under groupmgmt.

groupmgmt
    Utilities to Add/Change/View/Delete Group Accounts.

hostname
    Shortcut to the Hostname/Domain menu under networking.

kern_securelevel
    Shortcut to the kern.securelevel menu under security.

mouse
    Utilities for configuring, exploring, and enabling console mouse support.

mouse_disable
    Shortcut to the Disable menu under mouse.

mouse_enable
    Shortcut to the Enable menu under mouse.

mouse_flags
    Shortcut to the Flags menu under mouse.

mouse_port
    Shortcut to the Port menu under mouse.

mouse_type
    Shortcut to the Type menu under mouse.

nameservers
    Shortcut to the DNS Nameservers menu under networking.

netdev
    Shortcut to the Network Interfaces menu under networking.

networking
    Utilities to set/change Hostname/Domain, Network Interfaces, Default Router/Gateway, and DNS Nameservers.

packages
    Browse, install, uninstall, or re-install packaged software.

password
    Set the system administrator (root) password.

security
    Configure various system security settings.

startup
    Configure various aspects of system startup.

startup_misc
    Shortcut to the Miscellaneous Startup Services menu under startup.

startup_rcadd
    Shortcut to the Add New menu under the View/Edit Startup Configuration menu (startup_rcconf) of startup.

startup_rcconf
    Shortcut to the View/Edit Startup Configuration menu under startup.

startup_rcdelete
    Shortcut to the Delete menu under the View/Edit Startup Configuration menu (startup_rcconf) of startup.

startup_rcvar
    Shortcut to the Toggle Startup Services menu under startup.

syscons_font
    Shortcut to the Font menu under console.

syscons_keymap
    Shortcut to the Keymap menu under console.

syscons_repeat
    Shortcut to the Repeat menu under console.

syscons_saver
    Shortcut to the Saver menu under console.

syscons_screenmap
    Shortcut to the Screenmap menu under console.

syscons_ttys
    Shortcut to the Ttys menu under console.

timezone
    Set the regional timezone of the local machine.

ttys
    Edit the ttys(5) database with your favorite editor.

useradd
    Shortcut to the Add Users menu under usermgmt.

userdel
    Shortcut to the Delete Users menu under usermgmt.

useredit
    Shortcut to the Edit/View Users menu under usermgmt.

usermgmt
    Utilities to Add/Edit/View/Delete User Accounts.

INTERNATIONALIZATION
i18n features are built into bsdconfig and language-specific translation files will be added as they become available. In the absence of language-specific translation files, the default (en_US.ISO8859-1) files will be used.

ADDING COMMANDS
To be documented later. Document menu_selection="command|*" syntax of INDEX files.

ENVIRONMENT VARIABLES
The following environment variables affect the execution of bsdconfig:

LANG
    If LANG is set, messages and index information will be read from files named messages.$LANG and INDEX.$LANG and fall back to files named messages and INDEX if messages.$LANG and INDEX.$LANG do not exist. LANG takes precedence over LC_ALL.

LC_ALL
    If LC_ALL is set, messages and index information will be read from files named messages.$LC_ALL and INDEX.$LC_ALL and fall back to files named messages and INDEX if messages.$LC_ALL and INDEX.$LC_ALL do not exist.

FILES
/usr/share/examples/bsdconfig/bsdconfigrc can be copied to $HOME/.bsdconfigrc and customized as needed.

EXIT STATUS

SEE ALSO
bsdinstall(8)

HISTORY
bsdconfig first appeared in FreeBSD 9.2.

AUTHORS
Ron McDowell Devin Teske <dteske@FreeBSD.org>

BUGS
The docsinstall and diskmgmt modules call bsdinstall. Bugs found in these modules should be considered those of bsdinstall, not bsdconfig.